ENVIRON(5)

NAME
environ - user environment

SYNOPSIS
extern char **environ;

DESCRIPTION
An array of strings called the `environment' is made available by exec(2) when a process begins. By conventions these strings have the form `name=value'. The following names are used by various commands:

PATH
    The sequence of directory prefixes that sh(1) and many other programs apply in searching for a file known by an incomplete path name. The prefixes are separated by `:'.

HOME
    A user's login directory, set by login(1) from the password file passwd(5).

SHELL
    The file name of the users login shell.

Further names may be placed in the environment by the export command and `name=value' in sh(1), or by the setenv command if you use csh(1). Arguments may also be placed in the environment at the point of an exec(2). You should check not to conflict with certain shell variables, like: MAIL, PS1, PS2, IFS etc.

SEE ALSO
login(1), sh(1), bash (1), csh (1), tcsh (1), exec(2), system(3)